PDA

View Full Version : Jquery Slider issue



letom
04-20-2013, 11:22 AM
My Jquery API files are not supporting the slider of JavaScript, if i wish to use the following API files, I will loose other facilities , that i have added in my current API header files.

http://jqueryui.com/slider/#slider-vertical
<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="http://code.jquery.com/ui/1.10.2/jquery-ui.js"></script>


Could u pls find a solution for me ?Can we copy the functions from the above libs to my libs will give a right solution ? OR i need to replace my current version of jquery ? Or what else with this complicated issue ?

Your suggestions shall be highly appreciated ..

jscheuer1
04-20-2013, 03:49 PM
Generally updating to a later version of jQuery is fine and shouldn't break other code on your page. However, with jQuery 1.9 several deprecated functions were dropped. There is available a migrate script:

http://code.jquery.com/jquery-migrate-1.1.1.min.js

that will restore many of them. You can hotlink to it even:


<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="http://code.jquery.com/jquery-migrate-1.1.1.min.js"></script>
<script src="http://code.jquery.com/ui/1.10.2/jquery-ui.js"></script>

That might be the way to go.

What version of jQuery are you using though? The 1.10.2 UI is supposed to work with jQuery 1.6 and up. So perhaps you could do:


<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6/jquery.min.js"></script>
<script src="http://code.jquery.com/ui/1.10.2/jquery-ui.js"></script>

If you want more help, please include a link to the page on your site that contains the problematic code so we can check it out.

letom
04-20-2013, 06:51 PM
John

Thanks for your message.
Exactly i don't know which version iam using and the site is not online.The coding of lib Iam using starts the following

(function(A,w){function ma(){if(!c.isReady){try{s.documentElement.doScroll("left")}catch(a){setTimeout(ma,1);return}c.ready()}}function Qa(a,b)

I think the solutions you had given may solve the issue.. iam checking on that..

letom
04-20-2013, 07:30 PM
John

when iam using following function for validation


$(document).ready(function(){
$("#login").validate({
debug: true,
rules: {
iam getting the following error

Message: Object doesn't support this property or method

Iam using
<script src="http://code.jquery.com/jquery-1.9.1.js"></script> in header
I think the issue is with calling jQuery.validator.addMethod . Any idea ?

jscheuer1
04-22-2013, 02:19 AM
Hard to say from so little code. Put up a demo somewhere I can see it. It doesn't have to be the full page, just enough so I can see the same error you are getting.